| CAEN FERS Library v1.1.4 SDK for FERS systems

Functions
Channel remapping
API » A5256 adapter
Collaboration diagram for Channel remapping:

## Functions
int | FERS_ChIndex_ada2tdc (int Adapter_ch, int *TDC_ch, int brd)
| Remap Adapter channel to TDC channel. More...
int | FERS_ChIndex_tdc2ada (int TDC_ch, int *Adapter_ch, int brd)
| Remap TDC channel to Adapter channel. More...
int | FERS_AdapterNch (int brd)
| Get the number of channels for the adapter. More...
int | FERS_ChMask_ada2tdc (uint32_t AdapterMask, uint32_t *ChMask0, uint32_t *ChMask1, int brd)
| Remap bits of adapter channel mask to the picoTDC channel mask. More...

## Detailed Description

## Function Documentation

## ◆ FERS_ChIndex_ada2tdc()

int FERS_ChIndex_ada2tdc | ( | int | Adapter_ch,
|  | int * | TDC_ch,
|  | int | brd
| ) |  |

Remap Adapter channel to TDC channel.

Parameters

  [out] | TDC_ch | Pointer to the remapped TDC channel
  [in] | Adapter_ch | Adapter channel
  [in] | brd | Board identifier

Returns
  0 on success, or a negative error code as defined in FERSLIB_ErrorCodes

## ◆ FERS_ChIndex_tdc2ada()

int FERS_ChIndex_tdc2ada | ( | int | TDC_ch,
|  | int * | Adapter_ch,
|  | int | brd
| ) |  |

Remap TDC channel to Adapter channel.

Parameters

  [out] | Adapter_ch | Pointer to the remapped adapter channel
  [in] | TDC_ch | The TDC channel
  [in] | brd | Board identifier

Returns
  0 on success, or a negative error code as defined in FERSLIB_ErrorCodes

## ◆ FERS_AdapterNch()

int FERS_AdapterNch | ( | int | brd | ) |

Get the number of channels for the adapter.

Parameters

  [in] | brd | Board identifier

Returns
  The number of channels on success, (0 = no adapter)

## ◆ FERS_ChMask_ada2tdc()

int FERS_ChMask_ada2tdc | ( | uint32_t | AdapterMask,
|  | uint32_t * | ChMask0,
|  | uint32_t * | ChMask1,
|  | int | brd
| ) |  |

Remap bits of adapter channel mask to the picoTDC channel mask.

Parameters

  [out] | ChMask0 | Pointer to the resulting TDC channel mask (0..31)
  [out] | ChMask1 | Pointer to the resulting TDC channel mask (32..63)
  [in] | AdapterMask | Mask of adapter channels
  [in] | brd | Board identifier

Returns
  0 on success, or a negative error code as defined in FERSLIB_ErrorCodes